Huawei S6720EI Series Switches

Certificate details

Certificate ID #2914
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 26.05.2017
Standard FIPS 140-2
Security level 2
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocol SNMP shall not be used when operated in FIPS mode.
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The S6720 has industry-leading performance and provides up to 24 or 48 line-speed 10GE ports. It can be used in a data center to provide 10 Gbit/s access to servers or function as a core switch on a campus network to provide 10 Gbit/s traffic aggregation. In addition, the S6720 provides a wide variety of services, comprehensive security policies, and various QoS features to help customers build scalable, manageable, reliable, and secure data centers.
Version (Hardware) P/Ns 02350DMN Version H.3 (S6720-30C-EI-24S-AC) and 02350DMP Version H.3 (S6720-54C-EI-48S-AC) both with P/Ns 4057-113016 (Tamper Evident Seals) and 99089JEB (External Baffle)
Version (Firmware) V200R010C00SPC900B900
Vendor Huawei Technologies Co., Ltd. http://www.huawei.com
Lab UL Verification Services, Inc.
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-256, AES-128, AES, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256
Asymmetric Algorithms
RSA 2048, ECDSA, DH, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA256, SHA-256, SHA-384, SHA-512, SHA-2, MD5
Schemes
Key Exchange, Key exchange, Key Agreement
Protocols
SSH, SSHv2, SSHv1, TLS, IPsec, VPN
Randomness
DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-256, P-384, P-521
Block cipher modes
CBC, CTR
TLS cipher suites
TLS_RSA_WITH_AES_256_SHA, TLS_RSA_WITH_AES_128_SHA, TLS_DHE_RSA_WITH_AES_256_SHA, TLS_DHE_DSS_WITH_AES_256_SHA, TLS_DHE_RSA_WITH_AES_128_SHA, TLS_DHE_DSS_WITH_AES_128_SHA, TLS_RSA_WITH_DES_CBC_SHA, TLS_RSA_WITH_RC4_128_MD5, TLS_RSA_WITH_RC4_128_SHA, TLS_RSA_WITH_NULL_MD5, TLS_RSA_WITH_NULL_SHA

Vendor
Huawei, Huawei Technologies Co

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 2914,
  "dgst": "6d26054efb4f9bd5",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#2924",
        "#2380",
        "Triple-DES#2372",
        "#1057",
        "SHS#3627",
        "ECDSA#1057",
        "RSA#2380",
        "DSA#1175",
        "#1418",
        "HMAC#2924",
        "#4400",
        "CVL#1107",
        "KTS#2372",
        "KTS#2924",
        "#2372",
        "#1175",
        "AES#4400",
        "DRBG#1418",
        "#3627"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "3",
        "4057",
        "113016"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 42,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDSA": {
            "ECDSA": 5
          }
        },
        "FF": {
          "DH": {
            "DH": 16,
            "Diffie-Hellman": 6
          },
          "DSA": {
            "DSA": 18
          }
        },
        "RSA": {
          "RSA 2048": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 2
        },
        "CTR": {
          "CTR": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 3
        }
      },
      "crypto_protocol": {
        "IPsec": {
          "IPsec": 2
        },
        "SSH": {
          "SSH": 34,
          "SSHv1": 1,
          "SSHv2": 3
        },
        "TLS": {
          "TLS": {
            "TLS": 34
          }
        },
        "VPN": {
          "VPN": 1
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 1,
          "Key exchange": 1
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 6,
          "P-384": 6,
          "P-521": 6
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 2,
          "#10": 2,
          "#1057": 1,
          "#11": 1,
          "#1175": 1,
          "#13": 1,
          "#14": 1,
          "#1418": 2,
          "#2": 2,
          "#2372": 1,
          "#2380": 1,
          "#2924": 3,
          "#3": 2,
          "#3627": 1,
          "#4400": 1,
          "#5": 1,
          "#6": 2,
          "#7": 1,
          "#9": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES (#4400": 1,
          "AES-128": 7,
          "AES-256": 10,
          "DRBG (#1418": 1,
          "DRBG (Cert. #1418": 1,
          "DRBG 3": 1,
          "DSA (#1175": 1,
          "DSA (2048": 5,
          "HMAC (#2924": 1,
          "HMAC Cert. #2924": 4,
          "HMAC-SHA-1": 4,
          "HMAC-SHA-1-96": 2,
          "HMAC-SHA-256": 2,
          "RSA 2048": 1,
          "SHA 1": 3,
          "SHA-1": 24,
          "SHA-1/256": 5,
          "SHA-2": 9,
          "SHA-256": 12,
          "SHA-384": 3,
          "SHA-512": 3,
          "SHA256": 3,
          "SHS (#3627": 1
        }
      },
      "fips_security_level": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 4
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 25
          },
          "SHA2": {
            "SHA-2": 9,
            "SHA-256": 12,
            "SHA-384": 3,
            "SHA-512": 3,
            "SHA256": 3
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 9
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 40,
          "FIPS 180-4": 1,
          "FIPS 186-4": 3,
          "FIPS 197": 1,
          "FIPS 198-1": 1
        },
        "NIST": {
          "SP 800-135": 2,
          "SP 800-38A": 1,
          "SP 800-38F": 2,
          "SP 800-67": 1,
          "SP 800-90": 1,
          "SP 800-90A": 3
        },
        "RFC": {
          "RFC 2865": 1,
          "RFC 4254": 1,
          "RFC 4303": 1,
          "RFC 4511": 1,
          "RFC 5246": 1,
          "RFC 6379": 1
        },
        "X509": {
          "X.509": 3
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 4,
            "AES-128": 7,
            "AES-256": 10
          },
          "RC": {
            "RC4": 3
          }
        },
        "DES": {
          "3DES": {
            "Triple-DES": 7
          },
          "DES": {
            "DES": 3
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 7,
            "HMAC-SHA-256": 2
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_DSS_WITH_AES_128_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_256_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_256_SHA": 1,
          "TLS_RSA_WITH_AES_128_SHA": 1,
          "TLS_RSA_WITH_AES_256_SHA": 1,
          "TLS_RSA_WITH_DES_CBC_SHA": 1,
          "TLS_RSA_WITH_NULL_MD5": 1,
          "TLS_RSA_WITH_NULL_SHA": 1,
          "TLS_RSA_WITH_RC4_128_MD5": 1,
          "TLS_RSA_WITH_RC4_128_SHA": 1
        }
      },
      "vendor": {
        "Huawei": {
          "Huawei": 33,
          "Huawei Technologies Co": 32
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#3627",
        "AES#4400",
        "ECDSA#1057",
        "RSA#2380",
        "DSA#1175",
        "KTS#2924",
        "DRBG#1418",
        "HMAC#2924",
        "Triple-DES#2372",
        "CVL#1107",
        "KTS#2372"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#1175",
        "#2924",
        "#2380",
        "#1418",
        "#2372",
        "#4400",
        "#3627",
        "#1057"
      ]
    },
    "policy_metadata": {
      "/Author": "rshelby",
      "/CreationDate": "D:20170512091052-07\u002700\u0027",
      "/Creator": "PScript5.dll Version 5.2.2",
      "/ModDate": "D:20170512091052-07\u002700\u0027",
      "/Producer": "Acrobat Distiller 11.0 (Windows)",
      "/Title": "Microsoft Word - 420e - JN3871_Huawei_S6720EI Series_Switch_Security_Policy_v0.9.doc",
      "pdf_file_size_bytes": 1920068,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 30
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "58c4018f483a1e892e59f64a885b69887ddba59f1d29a704578d8e262a74cd9e",
      "source_hash": "97648cec47d4bd2849e05a05f2518bc74ec0842ddf6b0e877f4b08a200f3115b",
      "txt_hash": "0495c21e95478e78fa667925a39ac442cc71964db0ef87afe49a8a0e02ea6cb0"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode and with the tamper evident seals and external baffles installed as indicated in the Security Policy. The protocol SNMP shall not be used when operated in FIPS mode.",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertMay2017.pdf",
    "date_sunset": null,
    "description": "The S6720 has industry-leading performance and provides up to 24 or 48 line-speed 10GE ports. It can be used in a data center to provide 10 Gbit/s access to servers or function as a core switch on a campus network to provide 10 Gbit/s traffic aggregation. In addition, the S6720 provides a wide variety of services, comprehensive security policies, and various QoS features to help customers build scalable, manageable, reliable, and secure data centers.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "V200R010C00SPC900B900",
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": "P/Ns 02350DMN Version H.3 (S6720-30C-EI-24S-AC) and 02350DMP Version H.3 (S6720-54C-EI-48S-AC) both with P/Ns 4057-113016 (Tamper Evident Seals) and 99089JEB (External Baffle)",
    "level": 2,
    "mentioned_certs": {},
    "module_name": "Huawei S6720EI Series Switches",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2017-05-26",
        "lab": "UL Verification Services, Inc.",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Huawei Technologies Co., Ltd.",
    "vendor_url": "http://www.huawei.com"
  }
}